<project default="testall" xmlns:j="jelly:core">

  <goal name="testall" prereqs="setclasspath"
    description="Runs all the compliance scripts">

    <mkdir dir="report"/>

    <java classname="org.exolab.jmscts.test.ComplianceTestSuite" fork="yes" maxmemory="512M">
      <classpath refid="test.classpath"/>
      <jvmarg value="-server"/>
      <sysproperty key="jmscts.home" value="."/>
    </java>
  </goal>

  <goal name="stress" prereqs="setclasspath"
    description="Runs the stress test">

    <mkdir dir="report"/>

    <java classname="org.exolab.jmscts.stress.StressTestSuite" fork="yes" maxmemory="512M">
      <classpath refid="test.classpath"/>
      <jvmarg value="-server"/>
      <sysproperty key="jmscts.home" value="."/>
    </java>
  </goal>

  <goal name="setclasspath" prereqs="jar">
    <path id="test.classpath">
      <pathelement path="${maven.build.dest}"/>
      <pathelement path="config"/>
      <pathelement path="target/classes"/>
      <path refid="maven.dependency.classpath"/>
    </path>
  </goal>


</project>
